IPart

data

## Class IPart

- java.lang.Object
- - data.IPart

- All Implemented Interfaces:
    BasicDataElement

      public class IPart
      extends java.lang.Object
      implements BasicDataElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `channel`
    `private int` | `defaultInstrument`
    `private int` | `instrument`
    `private java.lang.String` | `name`
    `private IScore` | `parent`
    `private java.util.ArrayList<IPhrase[]>` | `phrases`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPart(java.lang.String _name, int _instrument, int _channel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIPhrase(IPhrase phrase)`
    `int` | `getChannel()`
    `int` | `getDefaultInstrument()`
    `int` | `getInstrument()`
    `jm.music.data.Score` | `getMusicStructure()`
    `java.lang.String` | `getName()`
    `IPhrase` | `getNormalizedIPhrase(int i)`
    `IPhrase` | `getOriginalIPhrase(int i)`
    `java.util.ArrayList<IPhrase>` | `getOriginalIPhrases()`
    `IScore` | `getParent()`
    `jm.music.data.Part` | `getPart()`
    `double` | `getShortestPhraseStartTime()`
    `void` | `setInstrument(int _instrument)`
    `void` | `setInstrumentToDefault()`
    `void` | `setParent(IScore iScore)`
    `void` | `updateName(int id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultInstrument

          private int defaultInstrument

    - #### instrument

          private int instrument

    - #### channel

          private int channel

    - #### phrases

          private java.util.ArrayList<IPhrase[]> phrases

    - #### name

          private java.lang.String name

    - #### parent

          private IScore parent

  - ### Constructor Detail

    - #### IPart

          public IPart(java.lang.String _name,
               int _instrument,
               int _channel)

  - ### Method Detail

    - #### updateName

          public void updateName(int id)

    - #### setParent

          public void setParent(IScore iScore)

    - #### getParent

          public IScore getParent()

    - #### getName

          public java.lang.String getName()

    - #### getChannel

          public int getChannel()

    - #### getShortestPhraseStartTime

          public double getShortestPhraseStartTime()

    - #### addIPhrase

          public void addIPhrase(IPhrase phrase)

    - #### getOriginalIPhrase

          public IPhrase getOriginalIPhrase(int i)

    - #### getNormalizedIPhrase

          public IPhrase getNormalizedIPhrase(int i)

    - #### getOriginalIPhrases

          public java.util.ArrayList<IPhrase> getOriginalIPhrases()

    - #### getDefaultInstrument

          public int getDefaultInstrument()

    - #### getInstrument

          public int getInstrument()

    - #### setInstrument

          public void setInstrument(int _instrument)

    - #### setInstrumentToDefault

          public void setInstrumentToDefault()

    - #### getPart

          public jm.music.data.Part getPart()

    - #### getMusicStructure

          public jm.music.data.Score getMusicStructure()

      Specified by:
        `getMusicStructure` in interface `BasicDataElement`